---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libearlyretstr.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x53370, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x552B0, symBinAddr: 0xE270, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x556A0, symBinAddr: 0xE660, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56640, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56650, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52E80, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52E84, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52E88, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52FE0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53098, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5309C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x530A0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x530A4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x530A8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x530B0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x530C8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x530D0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x530D8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x530E0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x530E8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL7errCode, symObjAddr: 0x5312C, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL20methodExitEventCount, symObjAddr: 0x53130, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x53134, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x53138, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x53140, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL7str_exp, symObjAddr: 0x53148, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x915B, offset: 0x915B, size: 0x8, addend: 0x0, symName: __ZL18midCountDownString, symObjAddr: 0x53150, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9174, offset: 0x9174, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x53158, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x918D, offset: 0x918D, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x53160, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x91A6, offset: 0x91A6, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x53170, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91BF, offset: 0x91BF, size: 0x8, addend: 0x0, symName: __ZL14framesExpected, symObjAddr: 0x532A8, symBinAddr: 0xC328, symSize: 0x0 }
  - { offsetInCU: 0x9211, offset: 0x9211, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3B50, symSize: 0x80 }
  - { offsetInCU: 0x92A6, offset: 0x92A6, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3AA0, symSize: 0xB0 }
  - { offsetInCU: 0x9301, offset: 0x9301, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x39A0, symSize: 0x100 }
  - { offsetInCU: 0x9594, offset: 0x9594, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3BD0, symSize: 0x220 }
  - { offsetInCU: 0x9779, offset: 0x9779, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3DF0, symSize: 0xA0 }
  - { offsetInCU: 0x982C, offset: 0x982C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3E90, symSize: 0x110 }
  - { offsetInCU: 0x9922, offset: 0x9922, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3FA0, symSize: 0x150 }
  - { offsetInCU: 0x9A53, offset: 0x9A53, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x40F0, symSize: 0x30 }
  - { offsetInCU: 0x9B34, offset: 0x9B34, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4120, symSize: 0x150 }
  - { offsetInCU: 0x9D2C, offset: 0x9D2C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4270, symSize: 0x160 }
  - { offsetInCU: 0x9EB8, offset: 0x9EB8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x43D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA0D3, offset: 0xA0D3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4580, symSize: 0xA0 }
  - { offsetInCU: 0xA1A2, offset: 0xA1A2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4620, symSize: 0x20 }
  - { offsetInCU: 0xA1D9, offset: 0xA1D9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4640, symSize: 0x20 }
  - { offsetInCU: 0xA210, offset: 0xA210, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4660, symSize: 0x20 }
  - { offsetInCU: 0xA3C3, offset: 0xA3C3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4680, symSize: 0x1A0 }
  - { offsetInCU: 0xA6E9, offset: 0xA6E9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4820, symSize: 0x80 }
  - { offsetInCU: 0xA7B2, offset: 0xA7B2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x48A0, symSize: 0x6A0 }
  - { offsetInCU: 0xB347, offset: 0xB347, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6A0, symBinAddr: 0x60D0, symSize: 0xB0 }
  - { offsetInCU: 0xB3BE, offset: 0xB3BE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4F40, symSize: 0x70 }
  - { offsetInCU: 0xB50A, offset: 0xB50A, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4FB0, symSize: 0xA0 }
  - { offsetInCU: 0xB661, offset: 0xB661, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5050, symSize: 0x40 }
  - { offsetInCU: 0xB757, offset: 0xB757, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5090, symSize: 0x2B0 }
  - { offsetInCU: 0xBAFD, offset: 0xBAFD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5340, symSize: 0xC0 }
  - { offsetInCU: 0xBC43, offset: 0xBC43, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5400, symSize: 0x10 }
  - { offsetInCU: 0xBD05, offset: 0xBD05, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5410, symSize: 0x220 }
  - { offsetInCU: 0xC002, offset: 0xC002, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5630, symSize: 0x10 }
  - { offsetInCU: 0xC05F, offset: 0xC05F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5640, symSize: 0x1A0 }
  - { offsetInCU: 0xC237, offset: 0xC237, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DB0, symBinAddr: 0x57E0, symSize: 0x10 }
  - { offsetInCU: 0xC310, offset: 0xC310, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x9DC0, symBinAddr: 0x57F0, symSize: 0x420 }
  - { offsetInCU: 0xC79C, offset: 0xC79C, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xA1E0, symBinAddr: 0x5C10, symSize: 0x120 }
  - { offsetInCU: 0xC996, offset: 0xC996, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0xA300, symBinAddr: 0x5D30, symSize: 0x100 }
  - { offsetInCU: 0xCB3C, offset: 0xCB3C, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0xA400, symBinAddr: 0x5E30, symSize: 0xD0 }
  - { offsetInCU: 0xCC72, offset: 0xCC72, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretstr_getReady, symObjAddr: 0xA4D0, symBinAddr: 0x5F00, symSize: 0x190 }
  - { offsetInCU: 0xCEBC, offset: 0xCEBC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretstr_check, symObjAddr: 0xA660, symBinAddr: 0x6090, symSize: 0x40 }
  - { offsetInCU: 0xCF0B, offset: 0xCF0B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA750, symBinAddr: 0x6180, symSize: 0x36A }
...
